RegexExpression (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class RegexExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.RegexExpression

    @Deprecated
    public class RegexExpression
    extends Expression

Represents a regular expression of the form ~ which creates a regular expression.

Authors:
  James Strachan

Version:
  \$Revision\$

Field Summary
`private static org.apache.log4j.Logger` | `LOG`
`private Expression` | `string`

Constructor Summary
`RegexExpression(Expression string)`

Method Summary
`Expression` | `getRegex()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, isSynthetic, getDeclaringClass, getAnnotations, getAnnotations, addAnnotation, addAnnotations, setSynthetic, setDeclaringClass, hasNoRealSourcePosition, setHasNoRealSourcePosition, getLineNumber, visit, getColumnNumber, setLineNumber, setColumnNumber, getText, getLastLineNumber, setLastLineNumber, getLastColumnNumber, setLastColumnNumber, setSourcePosition, getNodeMetaData, copyNodeMetaData, setNodeMetaData, putNodeMetaData, removeNodeMetaData, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class AnnotatedNode
isSynthetic, getDeclaringClass, getAnnotations, getAnnotations, addAnnotation, addAnnotations, setSynthetic, setDeclaringClass, hasNoRealSourcePosition, setHasNoRealSourcePosition, getLineNumber, visit, getColumnNumber, setLineNumber, setColumnNumber, getText, getLastLineNumber, setLastLineNumber, getLastColumnNumber, setLastColumnNumber, setSourcePosition, getNodeMetaData, copyNodeMetaData, setNodeMetaData, putNodeMetaData, removeNodeMetaData, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### LOG

    private static final org.apache.log4j.Logger LOG

### string

    private final Expression string

Constructor Detail

### RegexExpression

    public RegexExpression(Expression string)

Method Detail

### getRegex

    public Expression getRegex()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation